package com.avaya.mgmt.smgr.webservice.client.ds;

/**
 *
 * @author lhvasan
 *
 */
public class WebServiceClientConfig {

	private String truststoreFileLocation;

	private String truststorePassword;

	private String userName;

	private String password;

	private String baseURI;

	private String selfprovisionBaseURL;

	/**
	 *
	 * @param truststoreFileLocation
	 * @param truststorePassword
	 * @param userName
	 * @param password
	 */
	public WebServiceClientConfig(final String truststoreFileLocation,
			final String truststorePassword, final String userName,
			final String password, final String baseURI, final String selfprovisionBaseURL) {
		this.truststoreFileLocation = truststoreFileLocation;
		this.truststorePassword = truststorePassword;
		this.userName = userName;
		this.password = password;
		this.baseURI = baseURI;
		this.selfprovisionBaseURL = selfprovisionBaseURL;
	}

	/**
	 *
	 * @return
	 */
	public String getTruststoreFileLocation() {
		return truststoreFileLocation;
	}

	/**
	 *
	 * @param truststoreFileLocation
	 */
	public void setTruststoreFileLocation(String truststoreFileLocation) {
		this.truststoreFileLocation = truststoreFileLocation;
	}

	/**
	 *
	 * @return
	 */
	public String getTruststorePassword() {
		return truststorePassword;
	}

	/**
	 *
	 * @param truststorePassword
	 */
	public void setTruststorePassword(String truststorePassword) {
		this.truststorePassword = truststorePassword;
	}

	/**
	 *
	 * @return
	 */
	public String getUserName() {
		return userName;
	}

	/**
	 *
	 * @param userName
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}

	/**
	 *
	 * @return
	 */
	public String getPassword() {
		return password;
	}

	/**
	 *
	 * @param password
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 *
	 * @return
	 */
	public String getBaseURI() {
		return baseURI;
	}

	/**
	 *
	 * @param baseURI
	 */
	public void setBaseURI(String baseURI) {
		this.baseURI = baseURI;
	}

	/**
	 * @return the selfprovisionBaseURL
	 */
	public String getSelfprovisionBaseURL() {
		return selfprovisionBaseURL;
	}

	/**
	 * @param selfprovisionBaseURL the selfprovisionBaseURL to set
	 */
	public void setSelfprovisionBaseURL(String selfprovisionBaseURL) {
		this.selfprovisionBaseURL = selfprovisionBaseURL;
	}


}